Subject: Re: [PATCH] Remove extra local_bh_disable/enable from arch do_softirq

From: Ingo Molnar <[email-masked]>
Date: Tue, 27 Jun 2006 12:08:56 +0200

* Paul Mackerras <[email-masked]> wrote:

> At the moment, powerpc and s390 have their own versions of do_softirq 
> which include local_bh_disable() and __local_bh_enable() calls.  They 
> end up calling __do_softirq (in kernel/softirq.c) which also does 
> local_bh_disable/enable.
> 
> Apparently the two levels of disable/enable trigger a warning from 
> some validation code that Ingo is working on, and he would like to see 
> the outer level removed.  But to do that, we have to move the 
> account_system_vtime calls that are currently in the arch do_softirq() 
> implementations for powerpc and s390 into the generic __do_softirq() 
> (this is a no-op for other archs because account_system_vtime is 
> defined to be an empty inline function on all other archs).  This 
> patch does that.
> 
> Signed-off-by: Paul Mackerras <[email-masked]>

thanks - this solves the problem nicely.

Acked-by: Ingo Molnar <[email-masked]>

	Ingo